<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Lakeshore Chorale</title>
    <link href='stylesheet.css' rel='stylesheet' type='text/css'>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.3/font/bootstrap-icons.css">

</head>

<body>
    <!-- Javascript  -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Main Page -->
    <div class="container-fluid">
        <div class="row header">
            <div class="col-md-4">
                <img src="images/LC-Header-img.gif" alt="Lakeshore Chorale - Music For Life" class="img-fluid p-4 mx-auto" style="display:block;">
            </div>
            <div class="col-md-4 text-center img-hold">
                <img src="images/LC-Logo-big.gif" alt="Lakeshore Chorale Tree Logo" class="img-fluid headLogo p-2">
            </div>
            <div class="col-md-4 text-end">
                <div class="p-5 text-center">
                    <h2><a class="nav-link" href="donations.html">Donations</a></h2>
                    <!-- <a href="https://www.paypal.com/us/fundraiser/charity/1776010"> <img
                                src="images/donate-button.png" class="donate-header img-fluid"></a> -->
                    <a href="donations.html"> <img src="images/donate-button.png" class="donate-header img-fluid"></a>
                </div>
            </div>
        </div>
        <div class="row mx-auto">
            <nav class="navbar navbar-expand-md mx-auto">
                <div class="container-fluid text-center">
                    <div class="mx-auto">
                        <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                    </div>
                    <div class="navbar-collapse collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav mr-auto mb-2 mb-md-0">
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="index.html">Home</a>
                            </li>
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="concerts.html">Concerts</a>
                            </li>
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="tickets.html">Tickets</a>
                            </li>
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="lakeshore-chorale.html">Lakeshore Chorale</a>
                            </li>
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="lakeshore-youth-chorale.html">Lakeshore Youth Chorale</a>
                            </li>
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="auditions.html">Auditions</a>
                            </li>
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="personnel.html">Personnel</a>
                            </li>
                            <li class="nav-item p-lg-4">
                                <a class="nav-link" href="payments.html">Payments</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </nav>
        </div>
        <div class="col-md-4 offset-md-4">
            <h2>Upload Your own photos Here!</h2>
            <input type="file" name="file_to_upload" id="file_to_upload" accept=".jpg,.png">


            <p id="file_name"></p>
            <progress id="progress_bar" value="0" max="100" style="width:400px;"></progress>
            <p id="progress_status"></p>

            <input type="button" value="Upload To Server" id="upload_file_button">
        </div>
        <div class="row foot-color">
            <div class="footer text-center">
                <p class="foot-text">lakeshore Chorale. PO Box 36. Sheboygan Falls, WI. 53085. 920-451-1863</p>
                <p class="foot-text">Or Email us @<a href="mailto:lakeshorechorale@gmail.com" class="text-dark">lakeshorechorale@gmail.com</a>
                </p>
            </div>
        </div>
    </div>
    <script>
        document.getElementById('file_to_upload').addEventListener('change', (event) => {
            window.selectedFile = event.target.files[0];
            document.getElementById('file_name').innerHTML = window.selectedFile.name;
        });
        document.getElementById('upload_file_button').addEventListener('click', () => {
            uploadFile(window.selectedFile);
        });

        // Getting our drop zone by ID
        const dropZone = document.getElementById('drop_zone');
        if (window.FileList && window.File) {
            dropZone.addEventListener('dragover', event => {
                event.stopPropagation();
                event.preventDefault();

                // Adding a visual hint that the file is being copied to the window
                event.dataTransfer.dropEffect = 'copy';
            });

            dropZone.addEventListener('drop', event => {
                event.stopPropagation();
                event.preventDefault();

                // Accessing the files that are being dropped to the window
                const files = event.dataTransfer.files;

                // Getting the file from uploaded files list (only one file in our case)
                window.selectedFile = files[0];

                // Assigning the name of file to our "file_name" element
                document.getElementById('file_name').innerHTML = window.selectedFile.name;
            });
        }

        function uploadFile(file) {
            var formData = new FormData();
            formData.append('file_to_upload', file);

            var ajax = new XMLHttpRequest();
            ajax.upload.addEventListener("progress", progressHandler, false);
            ajax.open('POST', 'uploader.php');
            ajax.send(formData);

        }

        function progressHandler(event) {
            var percent = (event.loaded / event.total) * 100;
            document.getElementById('progress_bar').value = Math.round(percent);
            document.getElementById('progress_status').innerHTML = Math.round(percent) + '% uploaded';
        }
    </script>
</body>

</html>